Callisto4Bootloader: DMA_Type Struct Reference

Callisto4Bootloader

Data Fields
DMA_Type Struct Reference
Mapping Information » Edma_request » Iomuxc_pads » Device Peripheral Access Layer » DMA Peripheral Access Layer

`#include <MIMXRT1062.h>`

## Data Fields

__IO uint32_t | CR
__I uint32_t | ES
uint8_t | RESERVED_0 [4]
__IO uint32_t | ERQ
uint8_t | RESERVED_1 [4]
__IO uint32_t | EEI
__O uint8_t | CEEI
__O uint8_t | SEEI
__O uint8_t | CERQ
__O uint8_t | SERQ
__O uint8_t | CDNE
__O uint8_t | SSRT
__O uint8_t | CERR
__O uint8_t | CINT
uint8_t | RESERVED_2 [4]
__IO uint32_t | INT
uint8_t | RESERVED_3 [4]
__IO uint32_t | ERR
uint8_t | RESERVED_4 [4]
__I uint32_t | HRS
uint8_t | RESERVED_5 [12]
__IO uint32_t | EARS
uint8_t | RESERVED_6 [184]
__IO uint8_t | DCHPRI3
__IO uint8_t | DCHPRI2
__IO uint8_t | DCHPRI1
__IO uint8_t | DCHPRI0
__IO uint8_t | DCHPRI7
__IO uint8_t | DCHPRI6
__IO uint8_t | DCHPRI5
__IO uint8_t | DCHPRI4
__IO uint8_t | DCHPRI11
__IO uint8_t | DCHPRI10
__IO uint8_t | DCHPRI9
__IO uint8_t | DCHPRI8
__IO uint8_t | DCHPRI15
__IO uint8_t | DCHPRI14
__IO uint8_t | DCHPRI13
__IO uint8_t | DCHPRI12
__IO uint8_t | DCHPRI19
__IO uint8_t | DCHPRI18
__IO uint8_t | DCHPRI17
__IO uint8_t | DCHPRI16
__IO uint8_t | DCHPRI23
__IO uint8_t | DCHPRI22
__IO uint8_t | DCHPRI21
__IO uint8_t | DCHPRI20
__IO uint8_t | DCHPRI27
__IO uint8_t | DCHPRI26
__IO uint8_t | DCHPRI25
__IO uint8_t | DCHPRI24
__IO uint8_t | DCHPRI31
__IO uint8_t | DCHPRI30
__IO uint8_t | DCHPRI29
__IO uint8_t | DCHPRI28
uint8_t | RESERVED_7 [3808]
struct {
__IO uint32_t DMA_Type::SADDR
__IO uint16_t DMA_Type::SOFF
__IO uint16_t DMA_Type::ATTR
union {
__IO uint32_t DMA_Type::NBYTES_MLNO
__IO uint32_t DMA_Type::NBYTES_MLOFFNO
__IO uint32_t DMA_Type::NBYTES_MLOFFYES
} |
__IO uint32_t DMA_Type::SLAST
__IO uint32_t DMA_Type::DADDR
__IO uint16_t DMA_Type::DOFF
union {
__IO uint16_t DMA_Type::CITER_ELINKNO
__IO uint16_t DMA_Type::CITER_ELINKYES
} |
__IO uint32_t DMA_Type::DLAST_SGA
__IO uint16_t DMA_Type::CSR
union {
__IO uint16_t DMA_Type::BITER_ELINKNO
__IO uint16_t DMA_Type::BITER_ELINKYES
} |
} | TCD [32]

## Detailed Description

DMA - Register Layout Typedef

Definition at line 13131 of file MIMXRT1062.h.

The documentation for this struct was generated from the following file:

- device/MIMXRT1062.h